<div class="border rounded col-lg-4 mt-5 container p-3">
  <form id="register-form">
    <h2 class="text-center">Registrazione</h2>
    <div class="form-group" id="register-username-form">
      <label>Username</label>
      <input name="username" type="text" minlength="5" maxlength="15" class="form-control" id="register-username-control" placeholder="username" required>
      <div class="invalid-feedback">
      </div>
      <div class="valid-feedback">
      </div>
    </div>
    <div class="form-group" id="register-mail-form">
      <label>Indirizzo Email</label>
      <input name="mail" type="email" minlength="5" maxlength="64" class="form-control" id="register-mail-control" placeholder="mail@esempio.it" required>
      <div class="invalid-feedback">
      </div>
      <div class="valid-feedback">
      </div>
    </div>
    <div class="form-group">
      <label>Nome</label>
      <input name="name" type="text" minlength="5" maxlength="15" class="form-control" placeholder="nome" required>
    </div>
    <div class="form-group">
      <label>Cognome</label>
      <input name="surname" type="text" minlength="5" maxlength="15" class="form-control" placeholder="cognome" required>
    </div>
    <div class="form-group">
      <label>Password</label>
      <input name="password" type="password" minlength="8" maxlength="128" class="form-control" placeholder="password" required>
    </div>
    <input type="submit" class="btn btn-primary" value="Registrati">
  </form>
</div>
